Bug 154249 - [NEW PORT] math/sprng: Scalable Parallel Pseudo Random Number Generator
Summary: [NEW PORT] math/sprng: Scalable Parallel Pseudo Random Number Generator
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-23 22:00 UTC by Rainer Hurling
Modified: 2014-08-14 23:47 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (18.90 KB, text/plain)
2011-01-23 22:00 UTC, Rainer Hurling
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2011-01-23 22:00:21 UTC
I created a port for SPRNG version 2, the Scalable Parallel Pseudo Random Number Generators Library ( http://sprng.cs.fsu.edu/ ).

It is needed at least for some math/R stuff, packages like rsprng, Rmpi etc.

Fix: I have only little experience in creating ports and almost no skills in C/C++ programming, so I could really need some help. (b.f. advised me to file a PR, thanks in advance)

Patch attached with submission follows:
How-To-Repeat: The sources seem to be incomplete in some way. They only build static libraries and there is no install target in the code. I had to patch the sources on several places to get it compiled.

Now it builds and installs but it is not usable so far because of some problems with the method of building shared libraries.

Several problems remain with the installed libraries 'libsprng*':

(1) After installation with ${INSTALL_LIB} they do not have any symbols any more.

  nm /usr/ports/math/sprng/work/sprng2.0/lib/libsprng.so.2.0

shows symbols built in, the next does not

  nm /usr/local/lib/libsprng.so.2.0

(2) The fortran stuff is not build in correctly. SPRNG has two scripts to test the installed sprng code, 'checksprng' and 'timesprng', see pkg-message. Both give correct results for the C interface and both fail for the fortran interface.

Probably there a more issues with the port and patches.
Comment 1 Brendan Fabeny freebsd_committer 2011-01-23 23:38:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

I'll take it.
Comment 2 Rainer Hurling freebsd_committer 2014-06-22 18:59:09 UTC
This PR is pending more than 3 years now.  I personally have no interest in porting SPRNG2 any more. It think we should close this ticket without committing anything.
Comment 3 John Marino freebsd_committer 2014-08-14 23:47:17 UTC
okay, done.  Closed per submitter request.